POST
/api/v2/admin/vouchers/groupsPOST /api/v2/admin/vouchers/groups
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| companyId (query) | unknown | No | |
| Idempotency-Key (header) | string | No |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| Name | string | Yes | |
| Description | string | No | |
| DefaultType | string | No | |
| DefaultValue | unknown | No | |
| DefaultCurrency | string | No | |
| DefaultPerUserLimit | unknown | No | |
| DefaultTotalUseLimit | unknown | No | |
| DefaultAggregateCap | unknown | No | |
| DefaultRequiresApproval | boolean | No | |
| DefaultRequiresEmail2Fa | boolean | No | |
| DefaultValidFrom | string (date-time) | No | |
| DefaultValidUntil | string (date-time) | No | |
| CampaignReference | string | No | |
| CostCentre | string | No | |
| Tags | array of string | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | string (uuid) | Yes | |
| Name | string | Yes | |
| Description | string | Yes | |
| Status | string | Yes | |
| DefaultType | string | Yes | |
| DefaultValue | unknown | Yes | |
| DefaultCurrency | string | Yes | |
| DefaultPerUserLimit | unknown | Yes | |
| DefaultTotalUseLimit | unknown | Yes | |
| DefaultAggregateCap | unknown | Yes | |
| DefaultRequiresApproval | boolean | Yes | |
| DefaultRequiresEmail2Fa | boolean | Yes | |
| DefaultValidFrom | string (date-time) | Yes | |
| DefaultValidUntil | string (date-time) | Yes | |
| CampaignReference | string | Yes | |
| CostCentre | string | Yes | |
| Tags | array of string | Yes | |
| CreatedAt | string (date-time) | Yes |
Example request
curl -X POST "https://{base_url}/api/v2/admin/vouchers/groups" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"Name":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.